Bug 8971 - Memory leak
: Memory leak
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/wmupmon)
: unstable
: all Linux
: P2 minor
Assigned To:
:
: http://php-coder.livejournal.com/2413...
:
:
:
  Show dependency tree
 
Reported: 2006-01-28 22:19 by
Modified: 2008-04-22 14:52 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2006-01-28 22:19:45
До:

==17937== 8 bytes in 1 blocks are definitely lost in loss record 9 of 70
==17937==    at 0x1B903AB8: malloc (vg_replace_malloc.c:130)
==17937==    by 0x1B94FC82: XStringListToTextProperty (in /usr/lib/libX11.so.6.2.0)
==17937==    by 0x804A56D: dockapp_open_window (dockapp.c:134)
==17937==    by 0x804921F: main (main.c:96)
==17937==
==17937== LEAK SUMMARY:
==17937==    definitely lost: 8 bytes in 1 blocks.
==17937==      possibly lost: 0 bytes in 0 blocks.

После:

==18003== LEAK SUMMARY:
==18003==    definitely lost: 0 bytes in 0 blocks.
==18003==      possibly lost: 0 bytes in 0 blocks.

Патч доступен здесь:
ftp://ftp.altlinux.ru/pub/people/php-coder/patches/wmupmon-0.1.2-alt-src-memory_leak_fix.patch
------- Comment #1 From 2006-01-29 23:25:01 -------
icesik, у тебя же тоже есть докапы. Ты их проверь -- если они взяли файл
dockapp.c из libdockapp 0.4.0, то значит тоже содержат эту утечку...
------- Comment #2 From 2006-01-30 19:26:02 -------
(In reply to comment #1) 
> icesik, у тебя же тоже есть докапы. Ты их проверь -- если они взяли файл 
> dockapp.c из libdockapp 0.4.0, то значит тоже содержат эту утечку... 
 
Да бы. Да и за наводку с сторону dockapp.c из libdockapp 0.4.0 тоже. 
 
Кстати, а как ты гонял (и чем) что получил такой лог? 
 
------- Comment #3 From 2006-01-30 19:51:38 -------
(In reply to comment #2)
> Кстати, а как ты гонял (и чем) что получил такой лог? 

valgrind из Сизифа.

Чтобы тебе идти дальше чем я, то сразу дам ссылок и советов:

http://www.linuxjournal.com/article/7930
http://www.cprogramming.com/debugging/valgrind.html
http://www.linux.org.ru/profile/php-coder/view-message.jsp?msgid=1223731

При этом программа должна быть собрана без оптимизации (-O0) и с поддержкой
отладочной информации (-g)

Я запускал так: valgrind -v --tool=memcheck --leak-check=ful

Можно ещё ключик --log-file=file добавить, чтобы куча этого вывода в файле
сохранить.

------- Comment #4 From 2006-01-30 19:53:07 -------
(In reply to comment #3)
> Я запускал так: valgrind -v --tool=memcheck --leak-check=ful

full -- с двумя ll, разумеется... (с термианала не полностью скопировал)

------- Comment #5 From 2006-01-30 19:54:55 -------
> valgrind из Сизифа. 
>  
> Чтобы тебе идти дальше чем я, то сразу дам ссылок и советов: 
>  
> http://www.linuxjournal.com/article/7930 
> http://www.cprogramming.com/debugging/valgrind.html 
> http://www.linux.org.ru/profile/php-coder/view-message.jsp?msgid=1223731 
>  
> При этом программа должна быть собрана без оптимизации (-O0) и с поддержкой 
> отладочной информации (-g) 
>  
> Я запускал так: valgrind -v --tool=memcheck --leak-check=ful 
>  
> Можно ещё ключик --log-file=file добавить, чтобы куча этого вывода в файле 
> сохранить. 
>  
>  
 
Спасибо за просвещение и ссылки. 
------- Comment #6 From 2006-03-26 19:21:51 -------
fixed in 0.1.3-alt2